/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Varticulosvszonar;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VarticulosvszonarFacadeLocal {

    void create(Varticulosvszonar varticulosvszonar);

    void edit(Varticulosvszonar varticulosvszonar);

    void remove(Varticulosvszonar varticulosvszonar);

    Varticulosvszonar find(Object id);

    List<Varticulosvszonar> findAll();

    List<Varticulosvszonar> findRange(int[] range);

    int count();

    List<Varticulosvszonar> busquedaPorSucursal(String sucursal);


}
